aboutsummaryrefslogtreecommitdiffstats
path: root/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'Makefile')
-rw-r--r--Makefile6
1 files changed, 6 insertions, 0 deletions
diff --git a/Makefile b/Makefile
index 1fd0733..45fe129 100644
--- a/Makefile
+++ b/Makefile
@@ -1,3 +1,5 @@
+LIBOSMO_DIR ?= ~/source/gsm/libosmocore
+
all: check-deps
cd OsmoBTS; $(MAKE)
cd OsmoNITB; $(MAKE)
@@ -70,6 +72,9 @@ endef
define check_dep_python2_module
@echo "import $(1)" | python2 - >/dev/null 2>&1 || { echo >&2 "Failed to import '$(1)' module, please install $(2)."; exit 1; }
endef
+define check_dep_dir
+ @test -d $(1) || { echo >&2 "Directory '$(1)' not found, please set $(2) to the path of your libosmocom source tree: make LIBOSMO_DIR=/path/to/libosmocore"; exit 1; }
+endef
check-deps:
$(call check_dep_bin,mscgen,mscgen)
@@ -82,3 +87,4 @@ check-deps:
$(call check_dep_bin,dot,graphviz)
$(call check_dep_bin,python2,python2)
$(call check_dep_python2_module,pychart,python2-pychart)
+ $(call check_dep_dir,$(LIBOSMO_DIR),LIBOSMO_DIR)